org.apache.lucene.benchmark.byTask.feeds

## Class LineDocSource.SimpleLineParser

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser
  - - org.apache.lucene.benchmark.byTask.feeds.LineDocSource.SimpleLineParser

- Enclosing class:
    LineDocSource

      public static class LineDocSource.SimpleLineParser
      extends LineDocSource.LineParser

  `LineDocSource.LineParser` which ignores the header passed to its constructor and assumes simply that field names and their order are the same as in `WriteLineDocTask.DEFAULT_FIELDS`

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.LineDocSource.LineParser

      `header`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineDocSource.SimpleLineParser(String[] header)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parseLine(DocData docData, String line)` parse an input line and fill doc data appropriately

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineDocSource.SimpleLineParser

          public LineDocSource.SimpleLineParser(String[] header)

  - ### Method Detail

    - #### parseLine

          public void parseLine(DocData docData,
                       String line)

      Description copied from class: `LineDocSource.LineParser`
      parse an input line and fill doc data appropriately
      Specified by:
        `parseLine` in class `LineDocSource.LineParser`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.